#ifndef __FILE_INPUT_H__
#define __FILE_INPUT_H__

#include <fstream>
#include "input.h"

class file_input final : public input {
private:
        std::ifstream in;
public:
        // This is for cin
        file_input(std::ifstream &&ifs);
        game_command get_command() override;
};

#endif
